﻿@{
    ViewBag.Title = "Index";
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Store</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.ConvertPointStore.Add())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Add Store</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> All Store</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSearchStore", Action = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }
            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllStore")
            </div>
            <!-- .box-content -->
        </div>
        <!-- .box -->
    </div>
</div>

@section FooterScript{
    <script>
        (function () {
            var gridName = 'allStore';
            var pagingUrl = '@Url.Action(MVC.ConvertPointStore.GridGetAllStorePager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSearchStore')
            });
        }())
    </script>
}